﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Td.Additional.Log
{
    /// <summary>
    /// Log file opened event arguments class.
    /// </summary>
    public class LogFileOpenedEventArgs : EventArgs
    {
        #region Properties

        /// <summary>
        /// Gets or sets the log.
        /// </summary>
        /// <value>The log.</value>
        public FileLog Log { get; set; }

        #endregion

        #region Constructors

        /// <summary>
        /// Initializes a new instance of the <see cref="LogFileOpenedEventArgs"/> class.
        /// </summary>
        public LogFileOpenedEventArgs()
        {
        }

        /// <summary>
        /// Initializes a new instance of the <see cref="LogFileOpenedEventArgs"/> class.
        /// </summary>
        /// <param name="log">The log.</param>
        public LogFileOpenedEventArgs(FileLog log)
            : this()
        {
            Log = log;
        }

        #endregion
    }
}